using System;
using System.Collections.Generic;
using System.Text;

namespace TwoTextBoxCell
{
    public class MyCustomObject
    {
        private string _name = string.Empty;
        private IList<MyCustomProperty> _customProperty = null;

        public MyCustomObject()
        {
        }

        public string Name
        {
            get { return this._name; }
            set { this._name = value; }
        }

        public IList<MyCustomProperty> CustomPropertyList
        {
            get { return this._customProperty; }
            set { this._customProperty = value; }
        }

    }

    public class MyCustomProperty
    {
        private string _propertyValue;


        public MyCustomProperty()
        {
        }

        public MyCustomProperty(string propertyValue)
        {
            this._propertyValue = propertyValue;
        }

        public string PropertyValue
        {
            get { return this._propertyValue; }
            set { this._propertyValue = value; }
        }


    }
}
